body {
    background-color: #7ac2c6;
    background-image: url(../img/cc_asfalt.png);
    background-blend-mode: darken;
    font-family: 'Quicksand', sans-serif;
    padding: 0;
    margin: 0;
}

.container {
    display: grid;
    grid-gap: 0;
    grid-template:
        "nav header"
        "nav main"
        "nav footer"
        / 20% 80%;
}

header {
    grid-area: header;
    text-align: center;
    align-content: center;
}

h1 {
    font-family: 'Darumadrop One', display;
    font-size: 3.5rem;
    color: #3c457a;
    margin: 0;
    letter-spacing: 0.5rem;
    text-shadow: 0.1rem 0.1rem #151a36;
}

nav {
    grid-area: nav;
    background-color: #3c457a;
    background-image: url(../img/cc_asfalt.png);
    background-blend-mode: darken;
    text-align: center;
    padding: 1rem;
    font-family: 'Darumadrop One', display;
    font-size: 1.8rem;
    font-weight: 700;
    text-transform: uppercase;
}

nav img {
    max-width: 70%;
    padding-top: 1rem;
}

nav ul {
    list-style: none;
    margin-top: 2rem;
    padding: 0;
    text-align: center;
}

nav li {
    padding-bottom: 1rem;
}

nav li a {
    padding: 0.5rem;
    color: #f3f3f9;
    text-decoration: none;
    border-radius: 0.5rem;
}

nav li a:hover {
    background-color: #f3f3f9;
    color: #151a36;
}

main {
    grid-area: main;
    margin: 0;
    padding: 0;
}

main .content {
    color: #151a36;
    background-color: #f3f3f9;
    width: 85%;
    margin: 1.5rem auto;
    padding: 1rem;
    font-size: 1.1rem;
    border: 0.8rem solid #3c457a;
    border-radius: 1rem;
}

h2 {
    font-family: 'Darumadrop One', display;
    font-size: 2rem;
    color: #7d8fef;
    margin: 0 0 0.8rem 0;
    text-indent: 1rem;
    letter-spacing: 0.3rem;
    text-shadow: 0.08rem 0.08rem #3c457a;
}

main h3 {
    font-size: 1.2rem;
    color: #7d8fef;
    text-indent: 0.5rem;
    margin: 0;
    text-shadow: 0.05rem 0.05rem #3c457a;
}

main h3:before {
    content: '⁂ ';
}

main h4 {
    color: #7d8fef;
    text-align: center;
    text-shadow: 0.05rem 0.05rem #3c457a;
}

main b {
    font-weight: 700;
    color: #7d8fef;
}

main a:not(:has(img)) {
    background-color: #7d8fef;
    padding: 0.1rem;
    color: #f3f3f9;
    font-weight: bold;
    text-decoration: none;
}

main a:not(:has(img)):hover {
    background-color: #f3f3f9;
    color: #7d8fef;
}

main a img {
    border: none;
    background: none;
    background-color: none;
}

main blockquote {
    background-color: #3c457a;
    background-image: url(../img/cc_asfalt.png);
    background-blend-mode: darken;
    color: #f3f0f0;
    font-size: 0.9rem;
    font-weight: bolder;
    margin: auto;
    padding: 1rem;
}

.caso {
    width: 92%;
    font-size: 1rem;
    margin-top: 2rem;
}

.stamp {
    width: 50%
}

main .right {
    float: right;
    margin-top: 1rem;
}

main hr {
    border: hidden;
    margin: 1.5rem;
}

dl {
    font-size: 1rem;
    text-indent: 3rem;
    color: #3c457a
}

dt {
    font-weight: bold;
    padding: 0.2rem;
    color: #7d8fef;
}

span.highlight {
    background-color: #a2e6ea;
    padding: 0 6px;
}

.tab {
    overflow: auto;
    margin: auto;
    display: none;
}

.default {
    display: block;
}

:target {
    display: block;
}

:target~.default {
    display: none;
}

table {
    margin: auto;
    width: 70%;
}

th,
td {
    padding: 0.2rem;
    text-align: center;
}

img.button {
    transition: transform .5s;
}

img.button:hover {
    transform: scale(1.1);
}

footer {
    grid-area: footer;
    padding: 0.5rem;
    margin: -1rem auto 0.5rem;
    line-height: 1.3rem;
    text-align: center;
}

footer a {
    background-color: #3c457a;
    padding: 0.1rem;
    color: #f3f3f9;
    font-weight: bold;
    text-decoration: none;
}

footer a:hover {
    background-color: #f3f3f9;
    color: #3c457a;
}

footer a img {
    border: none;
    background: none;
    background-color: none;
}


@media only screen and (min-width:800px) {
    .container {
        max-width: 100%;
        max-height: 100%;
    }

    nav {
        position: fixed !important;
        position: absolute;
        top: 0;
        right: 0;
        bottom: 0;
        left: 0;
        width: 18%;
    }

    img.ych {
        width: 50%;
    }

    img.sample {
        height: 200px
    }

}

@media only screen and (max-width: 800px) {
    .container {
        max-width: fit-content;
        justify-content: center;
        align-content: center;
        grid-template:
            "nav"
            "header"
            "main"
            "footer";
    }

    header {
        padding-top: 1.5rem;
    }

    nav {
        font-size: 1.5rem;
    }

    nav img {
        width: 40vw;
    }

    nav ul {
        text-align: center;
        margin-bottom: 0;
    }

    nav li {
        justify-content: center;
        display: inline-block;
    }

    main .content {
        width: 85%;
        font-size: 1rem;

    }

    main a {
        padding: 0.1rem;
    }

    h1 {
        font-size: 2rem;
    }

    main h2 {
        font-size: 1.2rem;

    }

    main h3 {
        font-size: 1rem;
    }

    main .right {
        display: none;
    }

    table {
        width: 100%;
    }

    img.ych {
        max-width: 80%;
    }

    img.sample {
        max-width: 90%;
    }

    .stamp {
        max-width: 80%;
    }

    .caso {
    width: 90%;
}

    footer {
        font-size: 0.8rem;
    }
}